Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1805534 - openshift-apiserver should directly use the host-etcd IPs
Summary: openshift-apiserver should directly use the host-etcd IPs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: openshift-apiserver
Version: 4.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.4.0
Assignee: Luis Sanchez
QA Contact: Xingxing Xia
URL:
Whiteboard:
Depends On: 1805254
Blocks: 1804700
TreeView+ depends on / blocked
 
Reported: 2020-02-21 00:02 UTC by David Eads
Modified: 2020-05-04 11:39 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1805254
Environment:
Last Closed: 2020-05-04 11:38:36 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-openshift-apiserver-operator pull 315 0 None closed [release-4.4] Bug 1805534: openshift-apiserver should directly use the host-etcd IPs 2020-03-09 11:23:11 UTC
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-04 11:39:11 UTC

Comment 3 Xingxing Xia 2020-02-21 02:34:59 UTC
Is this dup of bug 1804700? Saw same Version and Target Release

Comment 4 Xingxing Xia 2020-03-09 11:31:46 UTC
Its clone bug 1805254 has no-qe field. Agreed this bug is same. Could do like comment of bug 1803080#c4 to save precious time for other queued work. But still did below:
Verified in 4.4.0-0.nightly-2020-03-08-235004:
$ oc get openshiftapiserver/cluster -o yaml
...
spec:
...
  observedConfig:
...
    storageConfig:
      urls:
      - https://10.0.128.169:2379
      - https://10.0.147.74:2379
      - https://10.0.174.238:2379

Comment 6 errata-xmlrpc 2020-05-04 11:38:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.